%define	name	xosd
%define	version	2.2.12
%define release	1mdk
%define major	2
%define libname	%mklibname %name %major

Summary:	X On Screen Display, displays XMMS status information
Name:		%{name}
Version:	%version
Release:        %release
Source0:	http://www.ignavus.net/%name-%version.tar.bz2
Source1:	http://ldots.org/xosd-guide/xosd-doc-0.01.tar.bz2
License:	GPL
Group:		System/Libraries
BuildRoot: 	%_tmppath/%name-%version-%release-root
Buildrequires:  xmms-devel
Buildrequires:  gdk-pixbuf-devel
URL:		http://www.ignavus.net/software.html

%description
This package contains an xmms plugin to display various things whenever they 
change (volume, track, paused/shuffle/repeat,...) in a TV set's on screen 
display fashion.

%package -n xmms-xosd
Group:		Sound
Summary:	X On Screen Display, displays XMMS status information
Requires:	xmms
Provides:	xosd
Obsoletes:	xosd

%description -n xmms-xosd
This package contains an xmms plugin to display various things whenever they 
change (volume, track, paused/shuffle/repeat,...) in a TV set's on screen 
display fashion.

%package tools
Group: Graphics
Summary: Example applications of the xosd library
Provides: osd_cat
Obsoletes: osd_cat

%description tools
This package contains sample applications for the xosd library that
can be used to display information in a TV set's on screen display
fashion.

%package -n %libname
Group:		System/Libraries
Summary:	Library for displaying information in an OSD

%description -n %libname
This package contains the shared library of xosd, it is requires by programs 
that display it's output in a TV set's on screen display fashion.

%package -n %libname-devel
Group:		Development/C
Summary:	Header files for developing programs using libxosd
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%libname = %{version}

%description -n %libname-devel
This package contains the header files you need to develop programs based on 
libxosd that display it's output in a TV set's on screen display fashion.


%prep
%setup -q -a 1
chmod 644 COPYING ChangeLog README AUTHORS

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/*.a
rm -f %buildroot%_libdir/xmms/General/*.la

%clean
rm -fr %buildroot

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n xmms-xosd
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xmms/General/libxmms_osd.so*
%_datadir/xosd/

%files tools
%defattr(-,root,root)
%doc COPYING
%{_bindir}/osd_cat
%{_mandir}/man1/osd_cat.1*

%files -n %libname
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libxosd.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc COPYING ChangeLog README AUTHORS xosd-doc-0.01/html
%{_bindir}/xosd-config
%{_mandir}/man1/xosd-config.1*
%{_libdir}/libxosd.so
%{_libdir}/libxosd.la
%{_includedir}/*.h
%_datadir/aclocal/libxosd.m4
%{_mandir}/man3/*

%changelog
* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.12-1mdk
- new version

* Fri Sep  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.11-1mdk
- new version

* Fri Aug 27 2004 Erwan Velu <erwan@mandrakesoft.com> 2.2.10-1mdk
- 2.2.10
- Removing Patch0 (merged upstream)

* Thu Aug 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.9-2mdk
- apply line width patch from debian

* Mon Aug 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.9-1mdk
- fix permissions
- new version

* Mon Jul  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.8-1mdk
- reenable libtoolize
- new version


* Thu Feb 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.7-4mdk
- move the xmms plugin to the xmms-xosd package
- move the xosd-config man page to the devel package
- move osd_cat to the tools package

* Thu Feb 12 2004 Michael Scherer <misc@mandrake.org> 2.2.7-3mdk
- split package, and rename it.

* Sun Dec 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.2.7-2mdk
- fix provides

* Wed Oct  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.7-1mdk
- new version

* Tue Sep 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.6-1mdk
- new version

* Fri Sep 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.5-1mdk
- fix libtool build
- fix buildrequires
- new version

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.4-1mdk
- new version

* Mon Jul  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.3-1mdk
- new version

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.2-2mdk
- update the api docs

* Fri Jun 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.2-1mdk
- new version

* Wed May  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.1-3mdk
- add the api docs

* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.1-2mdk
- fix dir ownership

* Tue Apr 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.1-1mdk
- new version

* Tue Apr  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-1mdk
- drop the patch (not needed anymore)
- autoconf 2.5 macro
- new version

* Sun Mar  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.3-1mdk
- new version

* Thu Feb 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-1mdk
- drop patch 0 (merged)
- new version

* Tue Feb 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- compatibility patch
- major 2
- new version

* Tue Feb  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- mklibname macro
- clean out unpackaged file (old xmms plugin)
- major 1
- new version

* Mon Jan 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- buildrequires libgdk-pixbuf2-devel
- add new files
- remove unpackaged files
- new version

* Thu Nov  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-1mdk
- new version

* Mon Oct 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- rediff font patch
- major 2
- new version

* Tue Oct 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- 1.1.1

* Fri Sep 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- update the font patch again
- new version

* Fri Aug 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- rediff font patch
- new version

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- rediff font patch
- 1.0.2

* Fri Aug  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- 1.0.1
- remove merged patch 0

* Sun Jul 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-2mdk
- patch default font in
- bugfix: the OSD should work again

* Sun Jul 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- major version 1
- add missing files
- 1.0.0
- removed merged patch

* Wed Jun 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-0.pre2.1mdk
- fix installation
- adapt the patch 
- new version

* Tue Jun 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-0.pre1.2mdk
- fix xmms plugin

* Mon Jun 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-0.pre1.1mdk
- 1.0.0pre1
- move osd_cat to main package
- drop patch
- use configure macro

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-3mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com> :
	- split library package to fix rpmlint errors
	- added osd_cat to devel package
	- patched for new libtool

* Wed Apr 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-2mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com>

* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- updated and fixed by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.7.0
	- added manpage
	- more macros

* Mon Mar 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6.1-3mdk
- Add xosd.h.

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- fix buildrequires

* Tue Jan 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.6.1
	- recreated Makefile patch

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.5.0
	- removed patch
	- fixed installation
	- added call of ldconfig in post and postun

* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 0.3.0-2mdk
- Adjust BuildRequires to new lib policy
- Spec clean up

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- used, once again, great srpm from  Gtz Waschk <waschk@linux-mandrake.com> :
	- initial Mandrake package
	- fixed Makefile
